summaryrefslogtreecommitdiffstats
path: root/network/r2e/r2e.SlackBuild
diff options
context:
space:
mode:
author Tom Canich2010-05-12 23:32:44 +0200
committer Robby Workman2010-05-12 23:32:44 +0200
commita064d3cbf35c2dbc87ead3a5886ae82d3ec204aa (patch)
treec7beafade44a101457e43ad7d75a6302a1efc091 /network/r2e/r2e.SlackBuild
parent5b1ea29fbf4e6d32be642af3e33cf1c310237120 (diff)
downloadslackbuilds-a064d3cbf35c2dbc87ead3a5886ae82d3ec204aa.tar.gz
network/r2e: Added to 12.2 repository
Diffstat (limited to 'network/r2e/r2e.SlackBuild')
-rw-r--r--network/r2e/r2e.SlackBuild88
1 files changed, 88 insertions, 0 deletions
diff --git a/network/r2e/r2e.SlackBuild b/network/r2e/r2e.SlackBuild
new file mode 100644
index 0000000000..8925135a3e
--- /dev/null
+++ b/network/r2e/r2e.SlackBuild
@@ -0,0 +1,88 @@
+#!/bin/sh
+
+# Slackware build script for r2e
+
+# Copyright (c) 2009, Tom Canich, State College, Pennsylvania, USA
+# All rights reserved.
+#
+# Redistribution and use in source and binary forms, with or without
+# modification, are permitted provided that the following conditions
+# are met:
+# * Redistributions of source code must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+# * Redistributions in binary form must reproduce the above
+# copyright notice, this list of conditions and the following
+# disclaimer in the documentation and/or other materials
+# provided with the distribution.
+# * Neither the name of Tom Canich nor the names of other
+# contributors may be used to endorse or promote products
+# derived from this software without specific prior written
+# permission.
+#
+# THIS SOFTWARE IS PROVIDED BY Tom Canich ''AS IS'' AND ANY
+# EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
+# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
+# PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL Tom Canich BE LIABLE FOR
+# ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
+# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
+# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
+# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
+# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
+# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by Robby Workman <rworkman@slackbuilds.org>
+
+PRGNAM=r2e
+VERSION=2.6.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+# Patch rss2email.py so that our config.py location is shown
+patch -p1 < $CWD/config.py.patch
+
+mkdir -p $PKG/usr/lib/$PRGNAM
+install -m 0755 -o root -g root feedparser.py $PKG/usr/lib/$PRGNAM
+install -m 0755 -o root -g root html2text.py $PKG/usr/lib/$PRGNAM
+install -m 0755 -o root -g root rss2email.py $PKG/usr/lib/$PRGNAM
+
+mkdir -p $PKG/usr/bin
+install -m 0755 -o root -g root $CWD/wrapper.r2e $PKG/usr/bin/r2e
+
+mkdir -p $PKG/etc/r2e
+cat << EOF > $PKG/etc/r2e/config.py.new
+# This directory and file location is SlackBuilds.org-specific.
+# In other words, this is a deviation from upstream.
+# Official r2e looks in its current working directory for config.py,
+# which is actually /usr/lib/r2e in this package. As such, this
+# config.py file is symlinked to that location as well.
+#
+EOF
+cat config.py >> $PKG/etc/r2e/config.py.new
+( cd $PKG/usr/lib/$PRGNAM ; ln -s ../../../etc/r2e/config.py config.py )
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+sed "s%@VERSION@%$VERSION%g" $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz